<template>
  <v-container>
    <v-breadcrumbs class="px-0" :items="items"></v-breadcrumbs>

    <v-row no-gutters class="d-flex align-center">
      <h1>Lista de Projetos</h1>
      <v-spacer></v-spacer>
      <v-btn depressed small color="primary" to="/projects/form"
        >Adicionar</v-btn
      >
    </v-row>
    <p>Total de Projetos {{ projects.length }}</p>

    <div id="projects">
      <div v-for="project in projects" :key="project.id">
        <p>Descrição: {{ project.description }}</p>
        <p>Categoria: {{ project.category }}</p>
        <p>Público: {{ project.post }}</p>
        <!-- <p v-if="!project.post">Público: Não</p>
        <p v-else>Público: Sim</p> -->
        <v-btn
          depressed
          small
          color="primary"
          :to="`/projects/form?id=${project.id}`"
          >Editar</v-btn
        >
        <v-btn depressed small color="error" @click="matar(project.id)"
          >Delete</v-btn
        >
        <v-btn depressed small color="sucess" :to="`/projects/${project.id}`"
          >PRÉ-VISUALIZAR</v-btn
        >

        <v-divider></v-divider>
      </div>
    </div>
  </v-container>
</template>

<script>
import axios from "axios";
export default {
  data() {
    return {
      projects: [],
      items: [
        {
          text: "Dashboard",
          disabled: false,
          to: "/"
        },
        {
          text: "Projetos",
          disabled: true,
          href: "/projects/"
        }
      ]
    };
  },
  mounted() {
    return axios
      .get("https://young-forest-65938.herokuapp.com/api/v1/projects/")
      .then(response => {
        var resp = response.data;
        this.projects = resp.data;
        console.log(resp);
        console.log("teste");
        console.log(this.projects);
      });
  }
};
</script>
